Debian Bug report logs - #683105
libavg: please consider supporting other architectures

version graph

Package: libavg; Maintainer for libavg is Dimitri John Ledkov <xnox@debian.org>;

Reported by: Peter Green <peter.green@postgrad.manchester.ac.uk>

Date: Sat, 28 Jul 2012 20:06:01 UTC

Severity: important

Tags: patch

Found in version 1.7.1-1

Fixed in version libavg/1.7.1-2

Done: Peter Michael Green <plugwash@raspbian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Dmitrijs Ledkovs <xnox@debian.org>:
Bug#683105; Package libavg. (Sat, 28 Jul 2012 20:06:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Peter Green <peter.green@postgrad.manchester.ac.uk>:
New Bug report received and forwarded. Copy sent to Dmitrijs Ledkovs <xnox@debian.org>. (Sat, 28 Jul 2012 20:06:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Peter Green <peter.green@postgrad.manchester.ac.uk>
To: "submit@bugs.debian.org" <submit@bugs.debian.org>
Subject: libavg: please consider supporting other architectures
Date: Sat, 28 Jul 2012 20:03:31 +0000
[Message part 1 (text/plain, inline)]
package: libavg
version: 1.7.1-1
severity: important
tags: patch

Afaict prior to it's removal and reintroduction libavg was available on most architectures. The changelog entries gave no inidication of this support being dropped yet the package was marked as only being suitable for i386 and amd64. I've been running a derivative distribution and one of my users asked for this package so I took a look.

It seemed the only thing stopping it building on other architectures was a tiny peice of inline assembler that appeared to be designed to cause a break when running in a debugger. I added a fallback for this of deliberately segfaulting (which should cause a break in most debuggers).

debdiff is at http://plugwash.raspbian.org/libavg.debdiff
[Message part 2 (text/html, inline)]

Reply sent to Peter Michael Green <plugwash@raspbian.org>:
You have taken responsibility. (Wed, 13 Feb 2013 19:21:11 GMT) Full text and rfc822 format available.

Notification sent to Peter Green <peter.green@postgrad.manchester.ac.uk>:
Bug acknowledged by developer. (Wed, 13 Feb 2013 19:21:11 GMT) Full text and rfc822 format available.

Message #10 received at 683105-close@bugs.debian.org (full text, mbox):

From: Peter Michael Green <plugwash@raspbian.org>
To: 683105-close@bugs.debian.org
Subject: Bug#683105: fixed in libavg 1.7.1-2
Date: Wed, 13 Feb 2013 19:18:06 +0000
Source: libavg
Source-Version: 1.7.1-2

We believe that the bug you reported is fixed in the latest version of
libavg, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 683105@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Peter Michael Green <plugwash@raspbian.org> (supplier of updated libavg package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Fri, 27 Jul 2012 23:46:04 +0000
Source: libavg
Binary: python-libavg
Architecture: source amd64
Version: 1.7.1-2
Distribution: unstable
Urgency: low
Maintainer: Dmitrijs Ledkovs <xnox@debian.org>
Changed-By: Peter Michael Green <plugwash@raspbian.org>
Description: 
 python-libavg - High-level development platform for media-centric applications
Closes: 683105
Changes: 
 libavg (1.7.1-2) unstable; urgency=low
 .
   * Change architecture to any
   * Make some x86 specific debug code conditional (replacing it with a
     deliberate segfault) (patch accepted upstream) (Closes: #683105)
Checksums-Sha1: 
 f9ec17aadd194fb981ab954a49d93d02efe5d4a0 2280 libavg_1.7.1-2.dsc
 894f9b1db1bfa919624e67df3d8fa6897d762ff2 6667838 libavg_1.7.1.orig.tar.gz
 fe70ad616c81f6f80671f88d5cd30e57d7d418c3 11385 libavg_1.7.1-2.debian.tar.gz
 69f90e580c6f742d6aca769fa52c5ff670a2ff3b 3213510 python-libavg_1.7.1-2_amd64.deb
Checksums-Sha256: 
 09a01bb00632b6139cbee496992118053fe67ab8a4ce850dc8a47e299788c4e4 2280 libavg_1.7.1-2.dsc
 f534b26c377134b703053eca75c6d6591110a996333a861c66153ff7f9acf314 6667838 libavg_1.7.1.orig.tar.gz
 71fbc04a47e2e2ba7ef48350df39e1ae27a568c203e7c4eec51a686d9324ceb1 11385 libavg_1.7.1-2.debian.tar.gz
 6a7dabf43c5a25e6c67c6a0cc8d6c10bf6faebeee9205ddc7691c0c8a0c5a5d7 3213510 python-libavg_1.7.1-2_amd64.deb
Files: 
 c0d8d0370fefd1693d4a4881b65b0ffa 2280 python optional libavg_1.7.1-2.dsc
 63cb010baf08e6f147e00287a80d968a 6667838 python optional libavg_1.7.1.orig.tar.gz
 d39780fd4f918ed33053f9835494add6 11385 python optional libavg_1.7.1-2.debian.tar.gz
 1cca1743368bf11810ce0c3c94e86a4c 3213510 python optional python-libavg_1.7.1-2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJRG+MnAAoJEIh7YGGLPBau/jMP/iFYqg6DdOmP286U2wT/FakO
Nl0GgpWX9/nHcBgNqx/yVnxl/8IPxFmimvFlFq613AVUrQ7NmSloJebsn/lkWacY
I97CNyK0xTnmcVwhUoPrpnEaVrjhZb/87DJu54JEsEucTSDCul58M7YVmqJNNmMS
94S1NEf8J1BmYTyIbSs9c1tozM7dsGvPhyihrHiCo4hIvQES0KoXDFFJzqLKddEn
XMjvI4JuXoAM39sxJgdP5yg1QySsXwKrzhLoEXhsg2cee6BG5q72YDC5UvM8g8Ok
YmhGnb0GJ/HlVTV+KV0c+avAbjMMTEltz6fCZeoPZizSkj21rTaHYL3ueXuDxU6I
rbM4/2V5HLsHnwiXIDObXkdN1dNnrkUkOEeWvWoGP4Wn+tnEEUDw9TxjRSfK0L54
O5mEgkf5FaXU6zteBtrqcC1XQyjXzqjK13vlxHmI4LBQcXVeo9kCsKLWLcJKHQL4
2aHqvipanLd0AYFz4uNTMjvou5HG7sH/E3oUuJeaz/rNn9bTAOXwzeQ6oE0T1H+E
Qd3biJYdmMmw5/udleVchgW/TOuDAZEmArA3nWtfZPutuE32+s+ClmIYsjmHOCI6
li+sRZYqGhfNxcSymmWh5yGgb/R2jB/Jp9RK3TpvisbUiBa5tEseWTVPwRZSLUHX
U+wIu7eVkIbUhovTVcjF
=TXbt
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 03 Jun 2013 07:32:54 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 08:02:11 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.